
void _efl_canvas_vg_gradient_efl_gfx_gradient_stop_set(Eo *obj, Efl_Canvas_Vg_Gradient_Data *pd, const Efl_Gfx_Gradient_Stop *colors, unsigned int length);


void _efl_canvas_vg_gradient_efl_gfx_gradient_stop_get(const Eo *obj, Efl_Canvas_Vg_Gradient_Data *pd, const Efl_Gfx_Gradient_Stop **colors, unsigned int *length);


void _efl_canvas_vg_gradient_efl_gfx_gradient_spread_set(Eo *obj, Efl_Canvas_Vg_Gradient_Data *pd, Efl_Gfx_Gradient_Spread s);


Efl_Gfx_Gradient_Spread _efl_canvas_vg_gradient_efl_gfx_gradient_spread_get(const Eo *obj, Efl_Canvas_Vg_Gradient_Data *pd);


Eina_Bool _efl_canvas_vg_gradient_efl_gfx_path_interpolate(Eo *obj, Efl_Canvas_Vg_Gradient_Data *pd, const Efl_Object *from, const Efl_Object *to, double pos_map);


Efl_Duplicate *_efl_canvas_vg_gradient_efl_duplicate_duplicate(const Eo *obj, Efl_Canvas_Vg_Gradient_Data *pd);


void _efl_canvas_vg_gradient_efl_object_destructor(Eo *obj, Efl_Canvas_Vg_Gradient_Data *pd);


static Eina_Bool
_efl_canvas_vg_gradient_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CANVAS_VG_GRADIENT_EXTRA_OPS
#define EFL_CANVAS_VG_GRADIENT_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_gfx_gradient_stop_set, _efl_canvas_vg_gradient_efl_gfx_gradient_stop_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_gradient_stop_get, _efl_canvas_vg_gradient_efl_gfx_gradient_stop_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_gradient_spread_set, _efl_canvas_vg_gradient_efl_gfx_gradient_spread_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_gradient_spread_get, _efl_canvas_vg_gradient_efl_gfx_gradient_spread_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_path_interpolate, _efl_canvas_vg_gradient_efl_gfx_path_interpolate),
      EFL_OBJECT_OP_FUNC(efl_duplicate, _efl_canvas_vg_gradient_efl_duplicate_duplicate),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_canvas_vg_gradient_efl_object_destructor),
      EFL_CANVAS_VG_GRADIENT_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_canvas_vg_gradient_class_desc = {
   EO_VERSION,
   "Efl.Canvas.Vg.Gradient",
   EFL_CLASS_TYPE_REGULAR_NO_INSTANT,
   sizeof(Efl_Canvas_Vg_Gradient_Data),
   _efl_canvas_vg_gradient_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_canvas_vg_gradient_class_get, &_efl_canvas_vg_gradient_class_desc, EFL_CANVAS_VG_NODE_CLASS, EFL_GFX_GRADIENT_INTERFACE, NULL);
